module Crowdkit
  module Middleware
    class RaiseError < Faraday::Response::Middleware

      private

      def on_complete(response)
        if error = Crowdkit::ServiceError.from_response(response)
          raise error
        end
      end
    end
  end
end
