module Crowdkit
  class Client::Judgments < API
    def get(*args)
      arguments(args, required: [:judgment_id])
      do_get("judgments/#{judgment_id}")
    end
    alias :find :get
    alias :show :get

    def list(*args)
      arguments(args, required: [:job_id])

      do_get("jobs/#{job_id}/judgments", arguments.params)
    end
    alias :all :list
  end
end
