module Crowdkit
  class Client::Workers < API
    def flag(*args)
      arguments(args, required: [:worker_id, :reason])
      do_put("workers/#{worker_id}/flag", {reason: reason}.merge(arguments.params))
    end

    def deflag(*args)
      arguments(args, required: [:worker_id])
      do_put("workers/#{worker_id}/deflag", arguments.params)
    end
  end
end